> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Integrator

> This endpoint is used to retrieve an integrator details

Retrieve the details of the authenticated integrator account, including business information and account status.


## OpenAPI

````yaml GET /api/v3/integrator
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/integrator:
    get:
      tags:
        - INTEGRATOR
      summary: Get an Integrator Details.
      description: This endpoint is used to retrieve an integrator details
      operationId: IntegratorController_getIntegrator_api/v3
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: The record has been successfully retrieved.
                  data:
                    $ref: '#/components/schemas/IntegratorResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Not Found
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    IntegratorResponseDto:
      type: object
      properties:
        id:
          type: string
          description: id
          example: xxxxxxxxxxxxxxxxxxxxxxxx
        organization:
          type: string
          description: organization
          example: A&B Company
        first_name:
          type: string
          description: first_name
          example: John
        last_name:
          type: string
          description: last_name
          example: Doe
        email:
          type: string
          description: email
          example: ab@gmail.com
        phone:
          type: string
          description: phone
          example: +xxx xxx xxx xxx
        webhook_url:
          type: string
          description: Default webhook callback URL
          example: https://example.com/kotani/webhooks
        webhook_events:
          type: array
          description: Webhook events this integrator is subscribed to
          example:
            - transaction.deposit.status.updated
            - payment.confirmed
          items:
            type: string
            enum:
              - transaction.status.updated
              - transaction.deposit.status.updated
              - transaction.withdrawal.status.updated
              - transaction.onramp.status.updated
              - transaction.offramp.status.updated
              - payment.confirmed
              - kyc.status.changed
              - refund.lightning.invoice_needed
              - system.event
      required:
        - organization
        - first_name
        - last_name
        - email
        - phone
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````